#!/usr/bin/env python
import wx

class OKDialog(wx.Dialog):
    def __init__(self, title, txt):
        wx.Dialog.__init__(self, None, -1, title)
        siz = wx.BoxSizer(wx.VERTICAL)
        ok_button = wx.Button(self, -1, "&OK")
        text = wx.StaticText(self, -1, txt)
        siz.Add(text, -1, wx.EXPAND)
        siz.Add(ok_button)
        siz.Fit(self)
        self.SetSizer(siz)

        self.Bind(wx.EVT_BUTTON, self.ok, ok_button)
        
        self.ShowModal()

    def ok(self, event):
        self.EndModal(True)
        self.Destroy()

class CSDialog(wx.Dialog):
    def __init__(self, title, txt):
        wx.Dialog.__init__(self, None, -1, title)
        siz = wx.BoxSizer(wx.VERTICAL)
        func = wx.BoxSizer(wx.HORIZONTAL)
        continue_button = wx.Button(self, -1, "&Continue")
        stop_button = wx.Button(self, -1, "&Stop")
        text = wx.StaticText(self, -1, txt)
        func.Add(continue_button, -1, wx.EXPAND)
        func.Add(stop_button, -1, wx.EXPAND)
        siz.Add(text, -1, wx.EXPAND)
        siz.Add(func)
        siz.Fit(self)
        self.SetSizer(siz)

        self.Bind(wx.EVT_BUTTON, self.cont, continue_button)
        self.Bind(wx.EVT_BUTTON, self.stop, stop_button)
        
        self.ShowModal()
        
    def GetValue(self):
        if self.cont:    return True
        else:   return False

    def cont(self, event):
        self.cont = True
        self.EndModal(True)
        self.Destroy()

    def stop(self, event):
        self.cont = False
        self.EndModal(False)
        self.Destroy()
        
class IODialog(wx.Dialog):
    def __init__(self, title, txt, password = False):
        wx.Dialog.__init__(self, None, -1, title)
        siz = wx.BoxSizer(wx.VERTICAL)
        func = wx.BoxSizer(wx.HORIZONTAL)
        continue_button = wx.Button(self, -1, "&Continue")
        stop_button = wx.Button(self, -1, "&Stop")
        text = wx.StaticText(self, -1, txt)
        if password:    self.input = wx.TextCtrl(self, style = wx.TE_PASSWORD)
        else:   self.input = wx.TextCtrl(self)
        self.input.SetFocus()
        func.Add(continue_button)
        func.Add(stop_button)
        siz.Add(text, -1, wx.EXPAND)
        siz.Add(self.input, -1, wx.EXPAND)
        siz.Add(func)
        siz.Fit(self)
        self.SetSizer(siz)

        self.Bind(wx.EVT_BUTTON, self.cont, continue_button)
        self.Bind(wx.EVT_BUTTON, self.stop, stop_button)
        
        self.ShowModal()
    
    def GetValue(self):
        if self.cont:    return self.input.GetValue()
        else:   return False

    def cont(self, event):
        self.cont = True
        self.EndModal(True)
        self.Destroy()

    def stop(self, event):
        self.cont = False
        self.EndModal(False)
        self.Destroy()